package com.ebaiyihui.family.doctor.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: DoctorListVo
 * @Author:yanliang
 * @Date:2024/3/11 09:39
 * @Description
 */
@Data
public class DoctorListVo {

    private String doctorId;
    private String doctorName;
    private String doctorCode;
    private Long titleId;
    private String title;
    private Integer organId;
    private String organName;
    private Integer deptId;
    private String deptName;
    private Long stdSecondDeptId;
    private String phoneNum;
    private String portrait;
    private Integer gender;
    private String profession;
    private String introduction;
    private String servConfig;

    private Integer organCode;

    /**
     * 上次选择
     */
    @ApiModelProperty(value = "是否是上次签名  1是，0不是")
    private Integer lastSign;

    /**
     * 服务金额ServiceConfigData
     */
//    private ServiceConfigVo serviceConfigData;


    private String doctorLabelName;

    @ApiModelProperty(value = "医生是否在线 1在线 -1下线")
    private Integer officeStatus;

}
